<?php
/**
 * 管理员管理
 * $Id: account_new_result.php,v 1.1 2015/10/08 11:18:46 wanggb Exp $
 * @author wanggb
 * @package manager.public_html
 */

// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("ADMIN")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["footer"] = "footer.inc";
	$layout_pages["top"] = "menu.inc";
	$layout_pages["middle"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
	exit;
}

// 参数取得
$name = ParamUtil::getRequestString("name");
$login = ParamUtil::getRequestString("login");
$password = ParamUtil::getRequestString("password");
$phone = ParamUtil::getRequestString("phone");
$authority_type_array = ParamUtil::getRequestArray("authority_type", array());

// 登陆帐号唯一性判断
$param = array();
$param["delete_flg"] = false;
$param["login"] = $login;
$account_list = AccountMst::getList($param);
if (count($account_list) > 0) {
	$error_message_login = "登陆帐号已经被使用,请换一个。";
	
	// 权限一览取得
	$authority_type_list = AuthorityType::getList();
	
	// 页面表示
	$_SCRIPT_FILE = array("scripts/validators.js", "scripts/account_new_input.js");
	$layout_pages = array();
	$layout_pages["top"] = "menu.inc";
	$layout_pages["menu_clicked"] = "li_system";
	$layout_pages["middle"] = "account_new_input.inc";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
	exit;
}

// 存入数据库
$account_mst = new AccountMst();
$account_mst->login = $login;
$account_mst->password = $password;
$account_mst->name = $name;
$account_mst->phone = $phone;
$account_mst->authority = implode(",", $authority_type_array);
$account_mst->save();

// 跳到一览页
header("Location:account_list.php");
exit;